SystemOrganization addCategory: #ConfigurationOfBabyMock!

Object subclass: #ConfigurationOfBabyMock
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfBabyMock'!

!ConfigurationOfBabyMock class methodsFor: 'development support' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfBabyMock class methodsFor: 'private' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfBabyMock class methodsFor: 'private' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfBabyMock class methodsFor: 'private' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfBabyMock class methodsFor: 'metacello tool support' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfBabyMock class methodsFor: 'loading' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfBabyMock class methodsFor: 'loading' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfBabyMock class methodsFor: 'loading' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfBabyMock class methodsFor: 'accessing' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
project

	^self new project! !

!ConfigurationOfBabyMock class methodsFor: 'development support' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfBabyMock methodsFor: 'baselines' stamp: 'AttilaMagyar 4/27/2013 14:34'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/zeroflag/BabyMock/main'.
		spec 
			package: 'BabyMock-Core';
			package: 'BabyMock-Examples' with: [
				spec requires: #('BabyMock-Core' ). ];			
			package: 'BabyMock-Tests' with: [
				spec requires: #('BabyMock-Core' ). ].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('BabyMock-Core' );
			group: 'Examples' with: #('BabyMock-Examples' );
			group: 'Tests' with: #('BabyMock-Tests' ). ].
! !

!ConfigurationOfBabyMock methodsFor: 'baselines' stamp: 'SeanDeNigris 1/16/2014 14:15'!
baseline12: spec
	<version: '1.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/zeroflag/BabyMock/main'.
		spec 
			package: 'BabyMock-Core';
			package: 'BabyMock-Examples' with: [
				spec requires: #('BabyMock-Core' ). ];			
			package: 'BabyMock-Tests' with: [
				spec requires: #('BabyMock-Core' ). ].
		spec
			group: 'default' with: #('Core' );
			group: 'Core' with: #('BabyMock-Core' );
			group: 'Examples' with: #('BabyMock-Examples' );
			group: 'Tests' with: #('BabyMock-Tests' ). ].
	spec for: #'pharo3.x' do: [ 
		spec removeGroup: 'Examples' "trying to load makes image unusable" ].! !

!ConfigurationOfBabyMock methodsFor: 'accessing' stamp: 'JuanIgnacioVaccarezza 5/12/2012 13:28'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfBabyMock methodsFor: 'symbolic versions' stamp: 'SeanDeNigris 1/16/2014 14:15'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.2'.
! !

!ConfigurationOfBabyMock methodsFor: 'versions' stamp: 'AttilaMagyar 5/2/2013 17:20'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '1.0 release'.
		spec author: 'JuanIgnacioVaccarezza'.
		spec timestamp: '9/25/2012 22:30'.
		spec 
			package: 'BabyMock-Core' with: 'BabyMock-Core-AttilaMagyar.78';
			package: 'BabyMock-Examples' with: 'BabyMock-Examples-AttilaMagyar.13';
			package: 'BabyMock-Tests' with: 'BabyMock-Tests-AttilaMagyar.53'. ].
! !

!ConfigurationOfBabyMock methodsFor: 'versions' stamp: 'SeanDeNigris 1/16/2014 14:16'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '1.1 dev'.
		spec author: 'JuanIgnacioVaccarezza'.
		spec timestamp: '9/25/2012 22:30'.
		spec 
			package: 'BabyMock-Core' with: 'BabyMock-Core-AttilaMagyar.78';
			package: 'BabyMock-Examples' with: 'BabyMock-Examples-AttilaMagyar.13';
			package: 'BabyMock-Tests' with: 'BabyMock-Tests-AttilaMagyar.53'. ].
! !

!ConfigurationOfBabyMock methodsFor: 'versions' stamp: 'SeanDeNigris 1/16/2014 14:16'!
version12: spec
	<version: '1.2' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Now that work has moved on to BabyMock2, let''s do a final release with the latest package versions'.
		spec author: 'SeanDeNigris'.
		spec timestamp: '1/16/2014 22:30'.
		spec 
			package: 'BabyMock-Core' with: 'BabyMock-Core-AttilaMagyar.78';
			package: 'BabyMock-Examples' with: 'BabyMock-Examples-AttilaMagyar.15';
			package: 'BabyMock-Tests' with: 'BabyMock-Tests-AttilaMagyar.53'. ].
! !
